import type { Scalar } from 'yaml';
import { StringifyContext } from 'yaml/util';
/**
 * `!bigint` BigInt
 *
 * [BigInt](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/BigInt) values,
 * using their conventional `123n` representation.
 */
export declare const bigint: {
    identify: (value: any) => boolean;
    tag: string;
    resolve(str: string): bigint;
    stringify(item: Scalar, ctx: StringifyContext, onComment: (() => void) | undefined, onChompKeep: (() => void) | undefined): string;
};
//# sourceMappingURL=bigint.d.ts.map